<div class="row">
  <div class="col-md-9">
    <b>Spinner area</b>
    <div class="w-100 bg-info mb-2 position-relative" [style.height.px]="500">
      <cms-spinner-container [id]="demoSpinnerId"
                             class="h-100 w-100"></cms-spinner-container>
    </div>
  </div>
  <div class="col-md-3 mt-md-5">
    <input type="checkbox"
           [ngModelOptions]="{standalone: true}"
           [(ngModel)]="closeWhenInvoke"> Close when method invokes

    <div *ngIf="closeWhenInvoke">
      <small class="text-danger">The spinner will be closed when a method is invoked.</small>
    </div>

    <div class="col-12 text-center">
      <button class="btn btn-outline-primary mb-2"
              [style.width.px]="150"
              [disabled]="ableToDisplaySpinner"
              (click)="displaySpinner()">
        Display spinner
      </button>

      <button class="btn btn-outline-secondary mb-2"
              [style.width.px]="150"
              (click)="deleteSpinner()">
        Close spinner
      </button>
    </div>
  </div>
</div>
